# Swaggerails

A basic Swagger-UI Rails engine used to display docs generated with the [Swagger Docs gem](https://github.com/richhollis/swagger-docs).

<!-- MarkdownTOC -->

- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

<!-- /MarkdownTOC -->

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'swaggerails'
```

And then execute:

```bash
$ bundle
```

Or install it yourself as:

```bash
$ gem install swaggerails
```

## Usage

TBC

## Contributing

* Check out the latest master and/or develop branches to make sure the feature hasn't been implemented or the bug hasn't been fixed yet
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it
* Fork the project
* Start a feature/bugfix branch off of develop (using Git Flow approach)
* Commit and push until you are happy with your contribution
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally
* When you are done generate a pull request
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
